echo off
cd /d "%~dp0"

pnputil /add-driver *.inf /subdirs /install
echo ReturnCode [%errorlevel%]

if "%ERRORLEVEL%"=="0" (
    exit /b 0
) else if "%ERRORLEVEL%"=="259" (
    exit /b 0
) else if "%ERRORLEVEL%"=="3010" (
    exit /b 0
) else (
    exit /b %ERRORLEVEL%
)